Page MenuHomePhabricator

VisualEditor error message for read only mode not loading on mobile
Closed, ResolvedPublic1 Story Points

Description

A wiki can be made readonly like so:

$wgReadOnly = true;

When true and editing with the VisualEditor, saving fails with a "<apierror-readonly>" message (correctly), but the actual message text does not show up.

Event Timeline

Jdlrobson triaged this task as Normal priority.
Esanders renamed this task from VisualEditor error message for read only mode not translated to VisualEditor error message for read only mode not loading on mobile.Jun 16 2018, 1:18 PM
Esanders set the point value for this task to 1.

Change 440662 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Move apierror-readonly message to ArticleTarget module

https://gerrit.wikimedia.org/r/440662

Change 440662 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Move apierror-readonly message to ArticleTarget module

https://gerrit.wikimedia.org/r/440662

Deskana closed this task as Resolved.Jun 18 2018, 1:07 PM
Vvjjkkii renamed this task from VisualEditor error message for read only mode not loading on mobile to 9saaaaaaaa.Jul 1 2018, 1:03 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii removed Esanders as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii edited subscribers, added: Esanders; removed: gerritbot, Aklapper.
CommunityTechBot set the point value for this task to 1.Jul 2 2018, 12:05 PM
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot assigned this task to Esanders.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot closed this task as Resolved.
CommunityTechBot renamed this task from 9saaaaaaaa to VisualEditor error message for read only mode not loading on mobile.
CommunityTechBot edited subscribers, added: gerritbot, Aklapper; removed: Esanders.